/*
 * Copyright (C) 2008 Tony Wasserka
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
 *
 */

class CGameDialog
{
public:
    CGameDialog(int duration, const char *_header, const char *_line1, const char *_line2, const char *_line3, const char *line4);
    ~CGameDialog();

    int logic();
    void draw(BITMAP *buffer);
private:
    char header[256];
    char line1[256];
    char line2[256];
    char line3[256];
    char line4[256];
    int count;
};
